{{/*
The NGINX configuration for the NGINX webserver serving the main web application the the web.
*/}}
kind: ConfigMap
apiVersion: v1
metadata:
  name: {{ include "fsv.webserverName" . }}
  labels:
    {{- include "fsv.standardLabels" . | nindent 4 }}
data:
  nginx.conf: |
    server {
        listen 80;
        server_name _;

        # served files will be put in folders under /app/
        root /app/;

        client_body_buffer_size 256k;
        client_max_body_size 100m;

        server_tokens off; # hide nginx version

        location / {
            uwsgi_pass 127.0.0.1:8000;
            include uwsgi_params;
        }

        location ^~ /static/ {
          try_files $uri =404;
        }

        location ^~ /media/ {
          try_files $uri =404;
        }
    }